Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App listing
  • App software
  • App version listing
  • Assets
  • Developer space
  • Migrations
  • Parent software
  • Privacy and security
  • Reporting
  • Reviews
Platform
Atlassian Marketplace / Reference / Marketplace REST API (v3)

Assets

Postman Collection
OpenAPI
POST

Upload app listing image

Upload an image to Marketplace, so you can use it for an app's listing.

This endpoint allows developers to upload images that can be used in their Marketplace app listings including:

  • App icons and logos
  • Banner and hero images
  • Screenshots and thumbnails
  • Title logos

Format: Valid image formats are .jpg, .png, .gif, .bmp

The request body is a multipart/form-data with the following key:

  • file: Multipart file to be uploaded

The uploaded image will be processed and stored, returning an ID that can be used in listing APIs.

Usage Examples:

1 2 3 4 5 curl --request POST \ --url 'https://api.atlassian.com/marketplace/rest/3/assets/images/icon' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --form 'file=@/path/to/your/app-icon.png'

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

imageType

string

Required

Request bodymultipart/form-data

file

string

Required

Responses

Image uploaded successfully

application/json

MediaV3Response

Response object for uploaded media assets

POST/rest/3/assets/images/{imageType}
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/marketplace/rest/3/assets/images/{imageType}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 { "id": "img-12345-abcdef-67890-ghijkl", "mediaType": "image", "mimeType": "image/png", "name": "app-icon.png", "size": 524288 }
POST

Upload an app artifact

Upload an app artifact so that it can be used by an app software version.

This endpoint allows developers to upload artifact files that can be used in their app software versions including:

  • JAR files for server apps
  • OBR (OSGi Bundle Repository) files
  • JWB (Jira Web Fragments Bundle) files
  • Connect descriptor JSON files

Format: The file should be uploaded as multipart/form-data

File size restrictions:

  • Maximum individual artifact size: 250 MB
  • Upload rate limit: ~750 MB per 2-hour period
  • Minimum wait time between uploads: 10 seconds

The request body is a multipart/form-data with the following key:

  • file: Multipart file to be uploaded

The uploaded artifact will be processed, validated, and stored, returning details that can be used in app software version APIs.

Usage Examples:

1 2 3 4 5 curl --request POST \ --url 'https://api.atlassian.com/rest/3/artifacts' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --form 'file=@/path/to/your/app.jar'

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodymultipart/form-data

file

string

Required

Responses

Artifact successfully uploaded

application/json

UploadedSoftwareArtifact

Response object for successfully uploaded artifact

POST/rest/3/artifacts
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/marketplace/rest/3/artifacts' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "fileInfo": { "logicalFileName": "my-app.jar", "size": 1048576, "checksum": "sha512:cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e" }, "details": { "key": "my.app.key", "name": "my-app", "version": "1.0.0", "licensingEnabled": true, "dataCenterCompatible": true, "addOnType": "two", "remotable": false, "dataCenterStatus": "compatible", "editionsEnabled": false }, "_links": { "self": { "href": "/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578" }, "binary": { "href": "/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578/download" } } }
POST

Fetch and store an artifact from external URL

Fetch and store an artifact from an external URL so that it can be used by an app software version.

This endpoint allows developers to download artifact files from external locations and store them in the Marketplace system. The artifact will be downloaded, validated, and stored, making it available for use in app software versions.

Supported protocols: HTTP and HTTPS URLs

Supported file types:

  • JAR files for server apps
  • OBR (OSGi Bundle Repository) files
  • JWB (Jira Web Fragments Bundle) files
  • Connect descriptor JSON files

Usage Examples:

1 2 3 4 5 6 curl --request POST \ --url 'https://api.atlassian.com/rest/3/artifacts/fetch' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{"uri": "https://example.com/myfile.jar"}'

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

uri

string

Required

Responses

Artifact successfully fetched and uploaded

application/json

RemoteFetchedSoftwareArtifact

Response object for successfully fetched remote artifact

POST/rest/3/artifacts/fetch
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/marketplace/rest/3/artifacts/fetch' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "uri": "https://example.com/releases/my-app-1.0.0.jar" }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 { "fileInfo": { "logicalFileName": "my-app-1.0.0.jar", "size": 2097152, "checksum": "sha512:a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3b665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3" }, "details": { "key": "my.app.key", "name": "my-app", "version": "1.0.0", "licensingEnabled": true, "dataCenterCompatible": true, "addOnType": "two", "remotable": false, "dataCenterStatus": "compatible", "editionsEnabled": false }, "_links": { "self": { "href": "/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578" }, "binary": { "href": "/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578/download" }, "remote": { "href": "https://example.com/releases/my-app-1.0.0.jar" } } }
GET

Get artifact details

Returns details about a previously uploaded or fetched artifact.

This endpoint provides comprehensive information about an artifact including:

  • Basic metadata (name, size, content type)
  • Security hash for integrity verification
  • Download links for accessing the artifact content
  • Source information (for remotely fetched artifacts)

Depending on the type of the artifact, it can include additional details like _links.remote, _links.binary etc.

Usage Examples:

1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

artifactId

string

Required

Responses

Artifact details successfully returned

application/json

oneOf [UploadedSoftwareArtifact, RemoteFetchedSoftwareArtifact]

UploadedSoftwareArtifact

Response object for successfully uploaded artifact

RemoteFetchedSoftwareArtifact

Response object for successfully fetched remote artifact

GET/rest/3/artifacts/{artifactId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/artifacts/{artifactId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 { "fileInfo": { "logicalFileName": "my-app-1.0.0.jar", "size": 2097152, "checksum": "sha512:a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3b665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3" }, "_links": { "self": { "href": "/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578" }, "binary": { "href": "/rest/3/artifacts/337c40d8-c903-4e28-8498-7cbc372ba578/download" } } }

Rate this page: